# Run tests in check section
# Needs a X server
%bcond_with check

# https://github.com/mattn/go-gtk
%global goipath         github.com/mattn/go-gtk
%global commit          e9a6766929f6e247feeeeac97c9e1b4fdbd25c3c

%global common_description %{expand:
Go binding for GTK.}

%gometa

Name:           %{goname}
Version:        0
Release:        0.1%{?dist}
Summary:        Go binding for GTK

License:        BSD or LGPLv2+
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/mattn/go-pointer)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(glib)
BuildRequires: pkgconfig(gtksourceview-2.0)
%if %{with check}
BuildRequires: golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%package devel
Summary:       %{summary}
BuildArch:     noarch
Requires:      pkgconfig(gtk+-2.0)
Requires:      pkgconfig(glib)
Requires:      pkgconfig(gtksourceview-2.0)

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.

%prep
%forgeautosetup -p1

%install
%goinstall

%if %{with check}
%check
%gochecks
%endif

%files devel -f devel.file-list
%doc README.md

%changelog
* Fri Apr 12 13:37:35 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20190412gite9a6766
- First package for Fedora
